# This script defines some environment variables needed for the exercise
export APCDIR=${HOME}/APC2014ex2
#
# ---- Location of Geant4 data (not needed for the exercise)
#export G4PIIDATA=/home/pia/g4dev/dev/data/G4PIIDATA1.3
#export G4LEDATA=/home/pia/g4dev/dev/data/G4EMLOW6.35
#export G4LEVELGAMMADATA=/home/pia/g4dev/dev/data/PhotonEvaporation3.0
#export G4RADIOACTIVEDATA=/home/pia/g4dev/dev/data/RadioactiveDecay4.0
#export G4NEUTRONHPDATA=/home/pia/g4dev/dev/data/G4NDL4.4
#
# ---- Location of Geant4 source files
export G4INSTALL=${APCDIR}/geant4.10.00.p01
#
# ---- Linux setup ----
#
if [ "$(uname)" = "Linux" ]; then
# Platform
  export G4SYSTEM=Linux-g++
  echo "You are working on a $G4SYSTEM system"

# Location of work directory where libraries, executables etc. are placed
  export G4WORKDIR=${APCDIR}/work10APC
  export G4LIB=${APCDIR}/work10APC/lib/

# Disable analysis
#unsetenv G4ANALYSIS_USE 

# Enable visualisation
  export G4VIS_BUILD_OPENGLX_DRIVER=1
  export G4VIS_USE_OPENGLX=1
  export OGLHOME=/usr
  export LD_LIBRARY_PATH="$OGLHOME/lib64"

fi
