# This script defines some environment variables needed for the exercise

# ---- Replace the following line with the PATH to your directory for the exercise
setenv APCDIR {$HOME}/APC2014ex2
#
# ---- Location of Geant4 data
#setenv G4PIIDATA {$HOME}/g4dev/dev/data/G4PIIDATA1.3
#setenv G4LEDATA {$HOME}/g4dev/dev/data/G4EMLOW6.35
#setenv G4LEVELGAMMADATA {$HOME}/g4dev/dev/data/PhotonEvaporation3.0
#setenv G4RADIOACTIVEDATA {$HOME}/g4dev/dev/data/RadioactiveDecay4.0
#setenv G4NEUTRONHPDATA {$HOME}/g4dev/dev/data/G4NDL4.4
#
# ---- Location of Geant4 source files
setenv G4INSTALL {$APCDIR}/geant4.10.00.p01
#
# ---- Linux setup ----
#
if ( `uname` == Linux ) then

# Platform
  setenv G4SYSTEM Linux-g++
  echo "You are working on a $G4SYSTEM system"

# Location of work directory where libraries, executables etc. are placed
  setenv G4WORKDIR {$APCDIR}/work10APC
  setenv G4LIB {$APCDIR}/work10APC/lib/

# Disable analysis
#unsetenv G4ANALYSIS_USE 

# Enable visualisation
  setenv G4VIS_BUILD_OPENGLX_DRIVER   1
  setenv G4VIS_USE_OPENGLX            1
  setenv OGLHOME /usr
  setenv LD_LIBRARY_PATH "$OGLHOME/lib64"

endif
